<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 25/5/2018
 * Time: 7:17 PM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idUsuario']) && isset($_REQUEST['estado'])) {
            $estado = $_REQUEST['estado'];
            $idusuario = $_REQUEST['idUsuario'];
            $usuario = R::load('usuario', $idusuario);
            $usuario->fechaModificacion = date('Y-m-d H:i:s');
            $usuario->estado = $estado;
            $id = R::store($usuario);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}